Enter protocol referral code
curl --request POST \
--url https://api.tokenlayer.network/functions/v1/enter-referral-code \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"referral_code": "alice2025",
"network_mode": "mainnet"
}
'import requests
url = "https://api.tokenlayer.network/functions/v1/enter-referral-code"
payload = {
"referral_code": "alice2025",
"network_mode": "mainnet"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({referral_code: 'alice2025', network_mode: 'mainnet'})
};
fetch('https://api.tokenlayer.network/functions/v1/enter-referral-code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"referrer_code": "alice2025",
"message": "Referral code successfully applied"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Referrals
Enter protocol referral code
Enter a referral code to establish a referral relationship. The code owner becomes your referrer for protocol-level benefits.
Using a referral code gives you a 4% cashback on your trading fees.
Restrictions:
- Can only enter one referral code per account
- Cannot refer yourself
- Referral code must be active
POST
/
enter-referral-code
Enter protocol referral code
Authorizations
JWT token or API key
Body
application/json
⌘I
